function dydt = TDSC_ode_esempio4(t, y)
% ODE dell'esempio 4 - satellite in orbita
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato di un satellite in orbita
%
% variabili IN: t, y
%
% variabili OUT: dydt derivata prima delle variabili y
%
M = 5.98e24; % kg - massa della Terra
G = 6.67e-11; % costante di gravitazione

mu = M*G;
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
 
 dydt = [y(2);...
         -mu*y(1)/((y(1)^2+y(3)^2)^(3/2));...
         y(4);...
         -mu*y(3)/((y(1)^2+y(3)^2)^(3/2))];

% --------------------------------------------------------
