function dydt = TDSC_ode_esempio5(t, y)
% ODE dell'esempio 5 - testina di una stampante
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
K_e = 1e1; % costante elastica del nastro
m = 1.2e-1; % massa della testina [in kg]
J = 3.2e-2; % [kg m^2]
r = 3e-2; % [m]
b = 0.12;
u_step =0.2;
u_pulse = 0.5*sign(sin(0.1*2*pi*t));
u = u_step + u_pulse; % coppia pulsante in ingresso
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
 dydt = [y(2);...
         (-K_e * y(1) + r* K_e * y(3) ) /m;...
         y(4);...
         (r* K_e * y(1) - r^2*K_e * y(3) - b * y(4) + u )/J];

% --------------------------------------------------------
