function dydt = TDSC_ode_esempio6a(t, y)
% ODE dell'esempio 6 - circuito RLC serie
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
R = 10; % Ohm
L = 1.2e-2; % H
C = 2.34e-2; % F

u_step =0.2;
u_pulse = 0.5*sign(sin(0.1*2*pi*t));
u = u_step + u_pulse; % tensione pulsante in ingresso
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
% y(1) i_L; y(2) v_C
 dydt = [-R/L*y(1)-y(2)/L+u/L;...
         y(1)/C];

% --------------------------------------------------------
