function dydt = TDSC_ode_esempio7(t, y)
% ODE dell'esempio 7 - motore c.c. comandato in armatura e con eccitazione
% costante
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
R = 6; % Ohm
L = 1.2e-2; % H
K = 2.34e-1; % V s /rad
b = 0.02; % Nm/rad
J = 1.67e-2; % kg m^2
u_step = 8;
u_pulse = 0.5*sign(sin(0.75*2*pi*t));
u = u_step + u_pulse; % tensione pulsante in ingresso
f_c = 0.25; %  coppia sul carico
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
% y(1) i; y(2) omega
 dydt = [(-R*y(1)-K*y(2)+u)/L;...
          (K*y(1)-b*y(2)-f_c)/J];

% --------------------------------------------------------
