function dydt = TDSC_ode_esempio8(t, y)
% ODE dell'esempio 8 - motore c.c. comandato in armatura e con eccitazione
% costante - carico con asse elastico
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
R = 6; % Ohm
L = 1.2e-2; % H
K = 2.34e-1; % V s /rad
b = 0.02; % Nm/rad
J = 1.67e-2; % kg m^2
kk = 10.45; % asse elastico
J_l = 3.98e-2; % inerzia del carico
u_step = 8;
u_pulse = 0.5*sign(sin(0.75*2*pi*t));
u = u_step + u_pulse; % tensione pulsante in ingresso
f_d = 0.25; %  coppia sul carico
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
% y(1) i; y(2) thema_m omega_m theta_l omega_l
 dydt = [(-R*y(1)-K*y(3)+u)/L;...
          y(3);...
          (K*y(1)-b*y(3)-kk*(y(2)-y(4)))/J;...
          y(5);...
          (kk*(y(2)-y(4))+f_d)/J_l];

% --------------------------------------------------------
