function dydt = TDSC_ode_esempio9(t, y)
% ODE dell'esempio 9 - sistema idraulico
% corso TDSC a.a. 2010/2011
%
% modello in equazioni di stato 
% variabili IN: t, y
% variabili OUT: dydt derivata prima delle variabili y
%
C1 = 4.5; C2 = 3.45; C3 = 6.21; % sezioni dei serbatoi
R1 = 2.4; R2 = 3.4; R3 = 1.45; % perdite di carico
u_step = 0.5;
u_pulse = 0.5*sign(sin(0.75*2*pi*t));
u = u_step + u_pulse; % portata pulsante in ingresso
% --------------------------------------------------------
% il sistema di equazioni differenziali che descrive il sistema
% y(1): p_1; y(2): p_2; y(3): p_3
 dydt = [(u-sqrt(y(1)))/C1;...
          (sqrt(y(1))/R1-(y(2)-y(3))*sqrt(abs(y(2)-y(3)))/abs(y(2)-y(3))/R2)/C2;...
          ((y(2)-y(3))*sqrt(abs(y(2)-y(3)))/abs(y(2)-y(3))/R2-sqrt(y(3))/R3)/C3];

% --------------------------------------------------------
