% script TDSC_ode_esempio1
%
% corso TDSC - a.a. 2010/2011
%
% script di soluzione della ODE di esempio1
clear all
close all
clc

% configurazione del problema
m = 5; % massa [kg]
b = 0.2; % attrito viscoso [N s/m]
k = 0.6; % costante elastica [N/m]
param1 = [m b k];
param2=[0 1];
ode_time = [0 300];
ode_y0 = [3; -2];
ode_options = odeset('MaxStep', 1e-1);
[t,Y] = ode45(@(t,y)TDSC_ode_esempio1(t, y, param1, param2),...
    ode_time, ode_y0,ode_options);

% visualizzazione dei risultati
figure;plot(t,Y);grid on
legend('spostamento','velocita''');

