% script_stiff_ode_es1.m
%
% primo esempio stiff
% TDSC - Intro a Matlab - slide 89
% a.a. 2010/2011
% G. Fenu
%
% script di utilizzo 

clear all
close all
clc
% un po' di pulizia

tempo = [ 0, 2 ]; % intervallo di tempo
y0 = [0 ,0]; % condizioni iniziali
hf = @stiff_ode_es1;

% prima prova con ode45
tic; 
[t_ns, y_ns] = ode45(hf, tempo, y0);
test1 = toc; % quanto tempo ha impiegato?

% seconda prova con metodo stiff
tic;
[t_s, y_s] = ode15s(hf, tempo, y0);
test2 = toc; % quanto tempo ha impiegato?

% mostra risultati
plot(t_ns, y_ns(:,1),'r',t_ns,y_ns(:,2),'b')
title('Soluzione di un problema stiff');
xlabel('tempo t'); ylabel('soluzione y');
hold on; % sovrappongo l'alatra soluzione
plot(t_s, y_s(:,1),'c',t_s,y_s(:,2),'g')
legend('y_1 non stiff','y_2 non stiff',...
    'y_1 stiff','y_2 stiff')

messaggio = sprintf('tempo impiegato nei due casi: metodo non stiff %0.5g [s], metodo stiff %0.5g [s]',test1,test2);
disp(messaggio);
