% script_vdp_ode.m
%
% esempio stiff: oscllatore di van der Pol
% TDSC - Intro a Matlab - slide 91
% a.a. 2010/2011
% G. Fenu
%
% script di utilizzo 

clear all
close all
clc
% un po' di pulizia

tempo = [ 0, 3000 ]; % intervallo di tempo
y0 = [2 ,0]; % condizioni iniziali

% prima prova con ode23
tic; 
[t_ns, y_ns] = ode23(@(t,y)vdp_ode(t,y,1000), tempo, y0);
% notare la sintassi di chiamata: cosi' posso passare il parametro
% direttamente alla vdp-ode
test1 = toc; % quanto tempo ha impiegato?

% seconda prova con metodo stiff
tic;
[t_s, y_s] = ode15s(@(t,y)vdp_ode(t,y,1000), tempo, y0);
test2 = toc; % quanto tempo ha impiegato?

% mostra risultati
plot(t_ns, y_ns(:,1),'r',t_s,y_s(:,1),'b')
title('Soluzione di un problema stiff');
xlabel('tempo t'); ylabel('soluzione y');
legend('ode23','ode15s')

messaggio = sprintf('tempo impiegato nei due casi: metodo non stiff %0.5g [s], metodo stiff %0.5g [s]',test1,test2);
disp(messaggio);
